Bug 9679 - can't place hold from cart in CCSR
Summary: can't place hold from cart in CCSR
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-20 21:24 UTC by Nicole C. Engard
Modified: 2013-12-05 20:09 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9679 - can't place hold from cart in CCSR (1.55 KB, patch)
2013-05-10 13:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9679 - can't place hold from cart in CCSR (1.67 KB, patch)
2013-05-10 14:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 9679 - can't place hold from cart in CCSR (1.85 KB, patch)
2013-05-12 09:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-02-20 21:24:35 UTC
If you click the 'place hold' link in the cart when using CCSR you go no where - it doesn't take you to the hold screen. There is no error - but there is also no action.

Nicole
Comment 1 Owen Leonard 2013-05-10 13:54:35 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-05-10 14:18:35 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-05-12 09:23:59 UTC
Created attachment 18091 [details] [review]
[PASSED QA] Bug 9679 - can't place hold from cart in CCSR

When the CCSR theme is enabled, selecting items in the cart and clicking
"place hold" triggers a JavaScript error and fails. This patch adds a
function missing from the CCSR version of basket.js.

To test, apply the patch and clear your browser cache.

- Enable the CCSR theme and put items into the OPAC cart.
- Open the cart, select one or more items, and click "place hold."

The cart should automatically close and the main window should redirect
to the holds screen showing your selections.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
All test passed
http://bugs.koha-community.org/show_bug.cgi?id=9769

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Confirmed patch fixes the problem described.
All tests and QA script pass, JavaScript only change.
No strings involved, save for inclusion in 3.12.
Comment 4 Jared Camins-Esakov 2013-05-12 13:58:49 UTC
This patch has been pushed to master and 3.12.x.
Comment 5 Chris Cormack 2013-05-13 10:06:13 UTC
Pushed to 3.10.x will be in 3.10.6